package com.supervision.controller;

import com.supervision.model.TreatmentPlanRecord;
import com.supervision.service.TreatmentPlanService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@Slf4j
@Api(tags = "处置计划")
@RestController
@RequestMapping("treatmentPlan")
@RequiredArgsConstructor
public class TreatmentPlanController {


    private final TreatmentPlanService treatmentPlanService;

    @ApiOperation("新增处置计划记录")
    @PostMapping("/record/save")
    public boolean saveTreatmentPlanRecord(@RequestBody TreatmentPlanRecord treatmentPlanRecord) {

        return treatmentPlanService.saveTreatmentPlanRecord(treatmentPlanRecord);
    }

    @ApiOperation("修改处置计划记录")
    @PutMapping("/record/update")
    public boolean updateTreatmentPlanRecord(@RequestBody TreatmentPlanRecord treatmentPlanRecord) {

        return treatmentPlanService.updateTreatmentPlanRecord(treatmentPlanRecord);
    }


    @ApiOperation("删除处置计划记录")
    @DeleteMapping("/record/delete")
    public boolean deleteTreatmentPlanRecord(@Param("记录主键id") @RequestParam String id) {

        return treatmentPlanService.deleteTreatmentPlanRecord(id);
    }


    @ApiOperation("查询处置计划记录列表")
    @GetMapping("/record/queryRecord")
    public List<TreatmentPlanRecord> queryTreatmentPlanRecord(@ApiParam("流程实例id") @RequestParam("processId") String processId,
                                                              @ApiParam("处置计划类型 药物:0 其他:1") String disposalPlanType) {

        return treatmentPlanService.queryTreatmentPlanRecord(processId, disposalPlanType);
    }



}
