package com.supervision.pojo.vo;

import com.supervision.model.TreatmentPlanRecord;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@Data
public class DealPlanResVO {

    @ApiModelProperty("用户的治疗计划类型(0门诊 1住院)")
    private Integer userTreatmentPlanType;

    @ApiModelProperty("处置方案列表")
    private List<TreatmentPlanResult> drugTreatmentPlan;

    private List<TreatmentPlanResult> otherTreatmentPlan;


    @Data
    @EqualsAndHashCode(callSuper = true)
    public static class TreatmentPlanResult extends TreatmentPlanRecord {

        @ApiModelProperty("结果标识 0:错误 1:正确")
        private Integer flag;

    }
}
